This file lists changes to the Babel files in reverse chronological order.
==========================================================================
1999-09-16  Johannes Braams  <JLBraams@cistron.nl>

        * base/bbplain.dtx (section{Support for formats based on
        \textsc{plain}\TeX}): Added the command \@ifundefined which is
        used in the definition of active charcters since Babel 3.6Z

1999-09-06  Johannes Braams  <JLBraams@cistron.nl>

        * base/babel.dtx (subsection{Shorthands}): The change from 08/27
        was rubbish; now use \let instead of \edef

1999-08-27  Johannes Braams  <JLBraams@cistron.nl>


        * cyrillic/{russianb,ukraineb}.dtx : Made not using the inputenc
        package a warning rather than an Error message after user
        requests.

1999-08-19  Johannes Braams  <JLBraams@cistron.nl>

        * base/babel.dtx (subsection{Shorthands}): The proposed fix for
        PR3050 doesn't work; use \strip@prefix\meaning.

1999-08-18  Johannes Braams  <JLBraams@cistron.nl>

        * frenchb/frenchb.dtx (subsection{Date and clean up}): No longer
        use \edef to define \today; the accent commands are not expandable
        and generate error messaages. (PR 3083, found by Thomas Esser
        <te@informatik.uni-hannover.de>)

1999-08-27  Johannes Braams  <JLBraams@cistron.nl>


        * cyrillic/{russianb,ukraineb}.dtx : Made not using the inputenc
        package a warning rather than an Error message after user
        requests.

1999-08-19  Johannes Braams  <JLBraams@cistron.nl>

        * base/babel.dtx (subsection{Shorthands}): The proposed fix for
        PR3050 doesn't work; use \strip@prefix\meaning.

1999-08-18  Johannes Braams  <JLBraams@cistron.nl>

        * frenchb/frenchb.dtx (subsection{Date and clean up}): No longer
        use \edef to define \today; the accent commands are not expandable
        and generate error messaages. (PR 3083, found by Thomas Esser
        <te@informatik.uni-hannover.de>)

Tue Jun 22 00:26:39 1999  Johannes Braams  <JLBraams@cistron.nl>

        * base/babel.dtx (subsection{Shorthands}): When the shorthand
        character is already active make sure it gets expanded once
        instead of fully when \normal@char<char> is defined. This can be
        acheived by using \expandafter\noexpand (PR 3050, found by Joachim
        Becker <jbecker1@gwdg.de>)

Fri Apr 30 00:26:00 1999  Johannes Braams  <JLBraams@cistron.nl>

	* italian.dtx : Claudio Beccari added support for ISO 31/XI 
	regulations

Thu Apr 29 23:36:59 1999  Johannes Braams  <JLBraams@cistron.nl>

	* greek.fdd (section{The encoding definition file}): Removed the
 	refinition of \& from the encoding file as it doesn't belong
 	there.

	* greek.dtx : Now switch the definition of \& via \extrasgreek
 	(removed from the font encoding file); the greek fonts do not
 	contain an &-sign.

Thu Apr 22 22:30:41 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): In some situations
	\lefthyphenmin remained equal to -1. This setting is now inside
	the group in which patterns are read. Also added the explicit
	setting of the hyphenmin paramters for language=0 as this didn't
	happen when the first pattern file changes \lefthyphenmin.
	For synonym languages the hyphenmin parameters were not set, this
	is now accomplished by storing the \languagename in \process@line
	Suggested by Vladimir Volovich <vvv@vvv.vsu.ru>

Wed Apr 21 22:48:46 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): It was
	reported by  Richard Walker <Richard.Walker@cs.anu.edu.au>
	(PR 3023) and "Igor A. Kotelnikov" <kotelnikov@nsu.ru> that babel
	brok the cite package This could be solved by *not* redefining
	\bibcite when the cite package is loaded.
	During testing it became clear that running the document the first
	time produced an error; solved by adding an \AtBeginDocument
	action. (babel 3.6v)

Tue Apr 20 21:19:20 1999  Johannes Braams  <JLBraams@cistron.nl>

	* bbcompat.dtx: Added code to issue a sensible error when the
	.sty files are loaded from LaTeXe; but made sure the document can
	be processed without complaints about \ProvidesLanguage not defined.
	(PR3020, Richard Walker <Richard.Walker@cs.anu.edu.au>)
	Made sure the .sty and .ldf files can be used from plain TeX
	without hyphen.cfg preloaded.

	* babel.dtx (section{The Kernel of Babel}): When plain.def is
	loaded from switch.def we need to define \adddialect first in
	order to access the second part. (babel 3.6u)

Tue Apr 20 00:03:56 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Shorthands}): Removed the braces again
	(PR3022) as the cure poses more problems thatn it solves. Will
	need to find a different solution for the active ^ in esperanto.

Fri Apr 16 01:28:43 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Shorthands}): Added braces around the
	argument when it is apssed on to the next level of shorthand
	evaluation. This in order to keep the argument as in ^{ab} the
	same instead of `losing' the b along the way as part of the
	argument. (babel 3.6t)

Fri Apr 16 00:21:51 1999  Johannes Braams  <JLBraams@cistron.nl>

	* greek.dtx, babel.dtx : Moved redefinition of \@roman and \@Roman
	back the the greek language support because of the problems it
	causes with the AMS document classes. This problem needs to be
	solved in a different way; \@roman needs to be used in expansion
	only places.
	Reported by Jean-Francois Mertens <jfm@core.ucl.ac.be>(PR 3017)

Tue Apr 13 02:31:28 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): The
	redefinition of \bibcite didn't work for the natbib package; a
	redefinition that works for natbib doesn't work without it.
	Now bibcite defines itself during the processing of the .aux file
	which is done *before* the \AtBeginDocument commands are executed.
	Found by Niilo Siljamo <siljamo@sateenkaari.meteo.helsinki.fi>
	(PR 3011) (babel 3.6s)

Mon Apr 12 22:55:22 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Language options}): Re-instated the
	loading of babel.def right at the begining of babel.sty as it is
	needed to define \ProvidesLanguage. The need for postponing it has
	gone, because \bbl@redefine is no longer used as a warning
	mechanism against missing options (changed in 3.6p dd 9/4/99)
	Found by Werner Struckmann <struck@ips.cs.tu-bs.de> (PR 3006) and
	"Walter Schmidt" <wschmi@ibm.net> (PR 3014) babel 3.6r

Mon Apr 12 00:33:37 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Encodig issues (part 1)}): The parsing of
	\@filelist to determin the latinencoding turend out to fail when a
	file with (default) extension .tex has been loaded. Now use
	\@ifl@aded, assuming all encoding .def files have a ProvidesFile
	entry. Found by "Igor A. Kotelnikov" <kotelnikov@nsu.ru>,
	suggesion by Vladimir Volovich <vvv@vvv.vsu.ru> babel 3.6q

Sat Apr 10 23:49:54 1999  Johannes Braams  <JLBraams@cistron.nl>

	* polish.dtx : Replaced the word `Proof' with its translation
	supplied by Andrzej Komisarski <andkom@kki.net.pl>

Sat Apr 10 00:02:23 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Language options}): Adde the options
	ngerman and naustrian to support the new german orthography, as
	supplied by "Walter Schmidt" <wschmi@ibm.net>

Fri Apr  9 23:54:25 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{marks}): The solution for PR2990 wasn't
	perfect; the arguments to the \mark... commands need to be stored
	in a token register prior to using \edef.
	(subsection{Language options}): Now check for the existence of
	\bbl@main@language instead of redefining \bbl@redefine to detect
	missing options.
	
Fri Apr  9 01:07:41 1999  Johannes Braams  <JLBraams@cistron.nl>

	* bahasa.dtx : February should be Pebruari according to
	Mohammad DAMT <mdamt@cakraweb.com>

	* babel.dtx : Changed the argument handlling of \process@line in
	order to prevent a trailing space from becoming part of a control
	sequence when defining a synonym
	(from a line such as `=english %')
	Found by Thomas Esser <te@informatik.uni-hannover.de>, (PR 2851)

Thu Apr  8 01:00:23 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{marks}): Removed th use of \head@lang in
	passing the current language into the marks. This didn't work for
	amsart.cls. Found a new solution wich works for the stansdard
	document classes as well as for amsart.
	Reported by Vittorio Coti Zelati <zelati@cds.unina.it> (PR 2990)

Wed Apr  7 00:52:02 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Encodig issues}): Needed to move the
	\AtBeginDocument test for the loading of fontenc right up front of
	babel.sty; also added a test for `manual' selection of T1 without
	loading fontenc (via \renewcommand\encodingdefault{T1}) as
	suggested by Claudio Beccari <Beccari@polito.it>

Mon Apr  5 22:08:50 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx : Had to implement a diferent way to check for fontenc
	with T1 encoding; now pare \@filelst (PR 3002)

Mon Apr  5 01:42:09 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Need to set
	default values for lefthyphenmin and righthyphenmin globally now
	that the patterns are read in a group.

	* catalan.dtx, danish.dtx, dutch.dtx, estonian.dtx, finnish.dtx,
	galician.dtx, polish.dtx, portuges.dtx, spanish.dtx, germanb.dtx,
	swedish.dtx usorbian.dtx : changed the definition of "- as
	\allowhyphens is a no-op with T1 now. That is alright for accented
	letters but *not* for "- in these files. 
	Found by Niilo Siljamo <siljamo@sateenkaari.meteo.helsinki.fi>
	(PR 2993, 2995)

Sat Apr  3 21:02:51 1999  Johannes Braams  <JLBraams@cistron.nl>

	* greek.dtx : Made \greeknumeral accept a counter as its
	argument. found by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de> (PR 3000)

	* greek.fdd : Got a new version from Apostolos; repaired a
	few typo's found by Andreas Schwab
	<schwab@issan.informatik.uni-dortmund.de> (PR 2997)

	* cyrillic/ukraineb.dtx (section{The Ukrainian language}):
	Replaced \CYRUKRI with \CYRII in \authorname, typo, found by 
	Andrij Shvaika <ashv@icmp.lviv.ua>

	* babel.dtx (section{The Package File}): Don't load babel.def from
	babel.sty, but rather define \LdfInit temporarily in order to load
	babel.def at the right time, preventing problems with the
	temporary definition of \bbl@redefine; found by 
	Walter Schmidt <wschmi@ibm.net>, PR 2987 and 
	Andreas Schwab <schwab@issan.cs.uni-dortmund.de>, PR 2998

Fri Mar 12 00:50:03 1999  Johannes Braams  <JLBraams@cistron.nl>

	* croatian.dtx : Changed an occurence of \od into \or; found by
	Damir Medak <medak@geoinfo.tuwien.ac.at> (PR 2918)

	* bahasa.dtx : February is Pebruary in bahasa Indonesia according
	to Mohammad DAMT <mdamt@cakraweb.com>

Tue Mar  9 23:30:49 1999  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx : added the ukrainian option, provided by Vladimir
	Volovich <TeX@vvv.vsu.ru> and Andrij Shvaika <ashv@icmp.lviv.ua>

Sun Feb 28 00:36:32 1999  Johannes Braams  <JLBraams@cistron.nl>

	* slovak.dtx : repaired a few spelling mistakes found by 
	Peter Kral <Peter.Kral@swh.sk>

	* scottish.dtx: the string \def\today{% was missing; found by
	Lutz.Haseloff@mdf.brandenburg.de, PR 2960

Thu Jan 23 22:53:49 1997  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Added a couple of
	\expandafters to the end of hyphen.cfg as \toks8 is now cleared by
	LaTeX (release 1996/12/01), now copy contents of \toks into
	\everyjob instead of reference.
	(found by Richard Walker <Richard.Walker@cs.anu.edu.au> PR 2382
	Ulrik Vieth <vieth@thphy.uni-duesseldorf.de> PR 2385 and
	Vincent Jalby <jalby@unilim.fr>)

	* babel.ins: Added missing \usepreamble\mainpreamble line; changed
	1996 in 1997.

	* finnish.dtx: Forgot to remove the code that is now part of
	\LdfInit; hence babel.def was loaded twice which led to TeX fatal
	errors.
	(found by Niilo Siljamo <Niilo.Siljamo@Helsinki.FI> PR 2386)

Sun Jan 19 22:00:49 1997  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx : Got the order of cs's wrong in the definition of
	\@tempcntb (found by Ricardo S. C\'armenes
	<carmenes@biosun.quimica.uniovi.es> PR 2376) 

Fri Jan 17 20:06:30 1997  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx: Somehow a lonely '+' had found its way into babel.dtx
	on a line of its own. Removed
	(found by Maarten Gelderman <mgelderman@ECON.VU.NL>)

Tue Jan 14 00:40:01 1997  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Shorthands}): Optionally disable the
	restoration of the category code of shorthand characters for those
	who want to have them available in the preamble of the document.
	(suggested by Tomas Bautista <bautista@cma.ulpgc.es>)

	* dutch.dtx : Added the "~ shorthand (copied from germanb.dtx) as
	suggested on TEX-NL@nic.surfnet.nl

	* bbplain.dtx : missing \@undefined added to definition of
	\@begindocumenthook; \newcount is an \outer macro, so it can't be
	used directly inside an \if test.
	(found by Daniel Flippo)

	* babel.dtx (subsection{Cross referencing macros}): Added
	\bbl@redefine@long to be able to redefine \ifthenelse as a
	\long-command (PR2372)
	Changed redefinition of \ifthenelse to make it a \long-command
	(PR2372) 

Thu Jan  9 00:15:16 1997  Johannes Braams  <JLBraams@cistron.nl>

	* frenchb.dtx : allow \l@french and \l@francais to be the `name'
	of the hyphenation patterns;  make \l@frenchb an alias for that.
	Use frenchb.cfg as the name of the .cfg file, regardless of the
	option that was used.
	(subsection{Formatting numbers}): New macros \nombre \decimalsep
	and \thousandsep added to format numbers
	(subsection{Extra utilities}): Removed \AllTeX, \fup, \french and
	\english 

	* babel.ins: Added .fd files to instructions at the end
	(found by Piet van Oostrum <piet@cs.ruu.nl> PR 2367)

	* greek.fdd (section{The encoding definition file}): Added
	(re)definitins of the \TeX and \LaTeX commands to make them
	encoding independant; added LGR versions of \copyright,
	\texttrademark, \textregistered and \ss

	* cyrillic.fdd (section{The encoding definition files}): Added
	(re)definitins of the \TeX and \LaTeX commands to make them
	encoding independant; added LCY/LWN versions of \copyright,
	\texttrademark, \textregistered and \ss
	(found by J"org Knappen <tex@dzdmza.zdv.uni-mainz.de>, PR 2357)

Wed Jan  8 23:31:00 1997  Johannes Braams  <JLBraams@cistron.nl>

	* spanish.dtx,galician.dtx : Added \leavevmode to the definitinos
	of "a and "o because TeX generated an error when they were used in
	vertical mode.
	(found by Eric Gamess <eric@borabora.univalle.edu.co>, PR 2363)

	* babel.dtx (section{The Package File}): Added the options
	frenchb, UKenglish and USenglish (all aliases)
	(found by Daniel Flippo and Vincent Jalby <jalby@unilim.fr>)

Wed Jan  8 00:03:37 1997  Johannes Braams  <JLBraams@cistron.nl>

	* galician.dtx : Removed unwanted space tokens by adding a
	%-token at the end of the lines with babel@save in the definition
	of \extrasgalician. They turned up in the output. (just like for
	spanish.dtx) 

	* catalan.dtx : Removed unwanted space tokens by adding a
	%-token at the end of the lines with babel@save in the definition
	of \extrascatalan. They turned up in the output. (just like for
	spanish.dtx) 

Tue Jan  7 16:34:20 1997  Johannes Braams  <JLBraams@cistron.nl>

	* greek.fdd (section{The font definition files}): In some font
	substitutions kdgr hadn't been replaced with cmr.
	(found by J"org Knappen, PR2358)

	* babel.dtx (subsection{Multiple languages}): Introduced
	\foreign@language for the shared code between the otherlanguage*
	environment and the \foreignlanguage command.
	Switch off language shorthands before activating the extras (to
	prevent that the shorthands from one language are still available
	in the other.
	Add \relax after the setting of the hyphenmin parameters to
	prevent the disappearance of a token (when it happens to be a
	digit, such as \number\day).
	(found by Daniel Hempel <daniel@math.uni-hamburg.de> PR2362)

	* spanish.dtx : Removed two unwanted space tokens by adding a
	%-token at the end of the lines with babel@save in the definition
	of \extrasspanish. They turned up in the output.
	(found by Daniel Hempel <daniel@math.uni-hamburg.de> PR2362)

	* bbplain.dtx (section{Support for formats based on
	\textsc{plain}\TeX}): add definition of \@begindocumenthook to the
	LaTeX2.09 format; otherwise it won't function without one of the
	languages loaded.
	(found by Olaf Weber <Olaf.Weber@cwi.nl>)

Mon Jan  6 23:20:43 1997  Johannes Braams  <JLBraams@cistron.nl>

	* dutch.dtx (section{The Dutch language}): Use Bew"ys instead of
	Bewijs (PR 2360, J"org Knappen)

	* esperant.dtx (section{The Esperanto language}): Fixed typo in
	table caption (funtion -> function) (PR 2360, Knappen)

	* tb1202.tex, tb1401.tex: fixed a few typos found by Ulrik Vieth,
	<vieth@thphy.uni-duesseldorf.de> (PR 2356)

Sun Jan  5 20:48:37 1997  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{The Package File}): When \LdfInit is
	undefined we need to load babel.def from babel.sty.
        When \file{hyphen.cfg} is not loaded in the format \cs{l@english}
        might not be defined; assume english is language 0 before calling
        \main@language{english}.
	(found by J"org Knappen <tex@mzdmza.zdv.uni-mainz.de> PR2354)

Thu Jan  2 23:18:58 1997  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx : The redefinition of \dump tried to detect
	LaTeX2.09; it did that with \document; that cs is also defined by
	AMSTeX, hence an error occured building a Babel-AMSTeX format.
	Now use \@ztryfc to detect LaTeX2.09 (Hope that is obscure
	enough). (Found by Thomas Esser)

Mon Dec 30 15:04:21 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Support for extending macros}): Added a
	check for an expansion of \relax to the definition of \addto;
	\addto\x{...} yields \x -> {\x ...} when \x expands to \relax.
	This results in a stack overflow when \x is called.

Sun Dec 29 14:24:42 1996  Johannes Braams  <JLBraams@cistron.nl>

	* italian.dtx, russian.dtx : Added braces around second argument
	of \LdfInit
	(found by <tim@maths.tcd.ie> (Timothy Murphy), PR 2384)  

Tue Dec 24 22:00:00 1996  Johannes Braams  <JLBraams@cistron.nl>

	Release 3.6

Sat Dec 14 19:54:46 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{The Package File}): Added the option
	`welsh'.

Thu Nov  7 22:59:23 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): \selectlanguage now
	checks for the existence of \date<lang> instead of \l@<lang>. The
	latter might be defined, without the language definition file
	being loaded. 

Tue Oct 29 00:42:11 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Renamed \init@ldf
	and \finish@ldf to \LdfInit, \ldf@finish and introduce
	\quit@ldf. The second argument of \ldf@init can now be either a
	control sequence or a string to be passed to \csname.
	(subsection{Cross referencing macros}): Added (conditional)
	redefinition of \@@vpageref (varioref internal macro) to prevent
	problems with active characters (PR 2292)

Thu Oct 17 00:03:30 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Added the commands
	\init@ldf and \finish@ldf to ease the  maintenance of the
	.ldf-files.

Wed Oct 16 20:34:59 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): \main@language now
	also sets \languagename and \l@<languagename> for use by other
	packages in the preamble of a document 
	(suggested by Jan Vroonhof <vroonhof@math.ethz.ch>)

Tue Oct  8 00:01:26 1996  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx : Make this file be processed twice, once during
	format generation, but only a small portion of the file is loaded
	into the format, the second time the file is processed is when it
	is loaded from babel.def. This way some code that is not needed in
	the format gets removed and the plain format with babel is no
	longer incompatible with german.sty.

Fri Oct  4 12:29:37 1996  Johannes Braams  <JLBraams@cistron.nl>

	* dutch.dtx: Merged in the definitions for `afrikaans' as supplied
	by Stoffel Lombard <lombc@b31pc87.up.ac.za>

	* bbcompat.dtx: Added support for `afrikaans'

	* babel.dtx (section{The Package File}): Added option `afrikaans'

Sat Sep 21 19:40:07 1996  Johannes Braams  <JLBraams@cistron.nl>

	* slovene.dtx : removed shorthand for \texttt{"L} as it is not
	needed for slovenian according to Primoz Peterlin
	<peterlin@biofiz.mf.uni-lj.si>.

Fri Sep 20 19:58:26 1996  Johannes Braams  <JLBraams@cistron.nl>

	* catalan.dtx : Added a check for mathmode to the definitino of
	\lgem and \Lgem, as the use of these in mathmode makes no sense
	according to Goncal Badenes. Not having the check led to an error
	message (PR 2261)

Sun Aug 18 00:25:04 1996  Johannes Braams  <JLBraams@cistron.nl>

	* polish.dtx : The macros \sob, \spb and \skb need to call
	\leavevmode; when they are encountered in vertical mode TeX issues
	an error about \lower not being allowed in vertical mode. (found
	by Wlodzimierz Macewicz <macewicz@ia.pw.edu.pl>)

	* babel.dtx (subsection{Cross referencing macros}): In order to
	prevent problems while reading .fd files in the middle of a
	document we need to add the " and ' characters to \nfss@catcodes
	untill LaTeX does that herself. (found by Tomas	Bautista
	<bautista@cma.ulpgc.es>) 

Thu Aug 15 00:34:21 1996  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx : Added default (semi-NFSS2) definition of \ss and
	\i because german.sty in combination with a babel format creates
	an endless lopp on those glyphs. (Found by Bernd Raichle)

	* danish.dtx : According to Peter Busk Laursen the shorthand "'
	needs to typeset the german closing double quote (``). He also
	suggested to add the definitions for "~ and "=

Tue Aug 13 23:58:29 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Shorthands}): Top level expansion of
	\normal@char<char> where the shorthand character is already active
	should be the expansion of the active character, not the active
	character itself as this causes an endless loop (found by Tomas
	Bautista <bautista@cma.ulpgc.es>)

Sun Aug 11 23:19:42 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): Redefinition
	of \ifthenelse added to circumvent problems with \pageref in the
	argument of \isodd (PR's 947, 2053, 2150, 2225)

Fri Aug  9 00:17:06 1996  Johannes Braams  <JLBraams@cistron.nl>

	* bahasa.dtx: Added the setting of the hyphenmin parameters
	(PR2232)

Sat Jul 13 19:48:19 1996  Johannes Braams  <JLBraams@cistron.nl>

	* bbcompat.dtx: Added .sty files and definition of \CurrentOption
	for language definition files that are loaded by more than one
	option

Fri Jul 12 21:11:57 1996  Johannes Braams  <JLBraams@cistron.nl>

	* frenchb.dtx: moved support for multiple options using the same
	.ldf file out of babel.sty into .ldf file.
	Rearranged .dtx file to remove long lines of documentation and
	code. 

Thu Jul 11 23:55:26 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{The Package File}): Moved all code necessary
	to support multiple options to load the same language definition
	file into those language definition files. (PR2213)

	* portuges.dtx, norsk.dtx, magyar.dtx: moved support for multiple
	options using the same .ldf file out of babel.sty into .ldf
	files. 

Wed Jul 10 22:08:11 1996  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx : Added the definition of \scriptsize,
	\textquoteright and \textquotedblright (PR 2216)

	* language definition files : Consistently use \@undefined instead
	of \undefined and \@empty instead of \empty (PR 2213)

	* english.dtx, german.dtx : moved support for multiple options
	using the same .ldf file out of babel.sty into .ldf files.
	
Tue Jul  9 19:50:55 1996  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx : Consistently use \@undefined instead of \undefined
	and remove the use of \patterns@loaded (PR 2213)
	Added definition of \@empty; use it instead of \empty

	* babel.dtx (subsection{Multiple languages}): Removed the use of
	the control sequence \bbl@eq@ (PR 2213)
	(section{Identification}): Save a few csnames by using \bbl@tempa
	instead of \@ProvidesFile store the \everyjob message immediately
	in \toks8 (PR 2213)
	Consistently use \@undefined instead of \undefined (PR 2213)
	Use \@empty instead of \empty to be consistent with \LaTeX
	(PR 2133) 

	* bahasa.dtx : Added translation of `Proof' as suggested by
	knappen@vkpmzd.kph.uni-mainz.de (J"org Knappen) (PR 2214)

	** released Babel 3.6-beta **
 	
Sat Jul  6 20:21:45 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dst: Added the generation of the font description files to
	the main installation file. (PR 2208)

	* babel.dtx : added greek to the driver files, input russianb.dtx
	instead of russian.dtx, define \Babel in driver file (PR 2209)
	Removed an extra closing brace in changes entry for \dj (PR 2208)

	* esperant.dtx : Added translation of `Proof' as suggested by
	knappen@vkpmzd.kph.uni-mainz.de (J"org Knappen) (PR 2207)

Thu May 30 00:13:36 1996  Johannes Braams  <JLBraams@cistron.nl>

	* germanb.dtx : added \allowhyphens in the definitions of "a, "o,
	"u, "A, "O, "U, because the underlying macro \lower@umlaut can not
	cntain a \allowhyphens. The reason is that for *dutch* we need to
	use discretionaries for these same characters in order to make the
	trema disappear at a word break. A \allowhyphens inside one of the
	arguments of \discretiionary leads to a TeX error.

Wed May 29 23:55:10 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Added an environment
	otherlanguage* wich does not switch the captions and date strings,
	only hyphenation and extras.

Thu Apr 18 23:38:40 1996  Johannes Braams  <JLBraams@cistron.nl>

	* magyar.dtx : Added translation of `Proof' as suggested by
	Alexin Zoltan <alexin@sol.cc.u-szeged.hu> and changed some of the
	translations as suggested by Peter Rajczy <rajczy@caesar.elte.hu>.

Tue Apr  9 22:20:18 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}):
	\bbl@redefinerobust made non-robust macros; fixed adding \space in
	the final line of code.

Tue Apr  2 23:49:16 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Umlauts and trema's}): Added a
	\allowhyphens in the definition of \lower@umlaut

Mon Apr  1 23:47:31 1996  Johannes Braams  <JLBraams@cistron.nl>

	* norsk.dtx : Added translation of `Proof' as suggested by
	Orjan Johansen <oerjan@matstat.unit.no>

Thu Mar 28 00:34:27 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Letters}): Replaced the definitions of
	\dj@ and \DJ@ with the ones found in PR 2058 (contributed by
 	Sime Ungar <ungar@math.hr> and David Carlisle)

Wed Mar  6 00:00:05 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Shorthands}): Added a system level
	shorthand for the ` to prevent an endless loop when the user
	enters `{}blah in his document.

	* catalan.dtx : Added `` as a shorthand for the double left quote;
	getting a single quote and an accented letter from the input ``a
	is not quit what would be expected.

Mon Feb 12 19:43:18 1996  Johannes Braams  <JLBraams@cistron.nl>

	* czech.dtx (section{The Czech language}): Fixed tow errors found
	by Petr Sojka <sojka@daeron.fi.muni.cz> (PR #2082) and added
	translation for `Proof'

Thu Jan 25 23:11:53 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Shorthands}): Store and restore the lccode
	of the ~-character so it remains unchanged by
	\initiate@active@char

Wed Jan 24 23:02:06 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Macros common to a number of languages}):
	Moved \german@dq@disc, \usorbian@dq@disc and \swedish@dq@disc to
	babel.def, changing the name to \bbl@disc

Sun Jan 21 23:28:57 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): Revert the
	previous change; \@setref gets expanded too late which results in
	TeX errors because the active character isn't redefined when TeX
	tries to use it in constructing a csname.

Fri Jan 19 23:42:50 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): Redefine
	\@setref instead of \ref and \pageref for LaTeX2e. This (partly)
	solves PR0947 which complains about pageref being used in the
	argument of \ifthenelse. This now works as long as the label
	doesn't contain active characters.

Thu Jan 18 23:12:00 1996  Johannes Braams  <JLBraams@cistron.nl>

	* croatian.dtx : Added translation of the word `Proof' and changed
	the definition of \datecroatian according to the suggestion by
	Sime Ungar <ungar@math.hr> in bug report 2060.

Tue Jan 16 23:56:38 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): Use
	\strip@prefix only on bbl@tempa (in \@testdef) when \bbl@tempa <>
	\relax! 

Mon Jan 15 23:44:52 1996  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx: Added the code that implements \newcommand (or
	enough of it to make \ProvideTextCommandDefault and friends
	work).

Wed Jan 10 00:04:57 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{The Package File}): Now use frenchb.dtx from
	Daniel Flipo as the source for french support in Babel.

Tue Jan  9 00:34:59 1996  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Shorthands}): Deal with charcters that are
	already active: define the top level expansion inside the \if
	branch of the category code test; define all lower level expansion
	macros needed for the shorthand stuff after of the \else branch
	(subsection{Cross referencing macros}): Complete rewrite of
	\@testdef using meaning to prevent endless complaints from LaTeX
	about possibly changed labels.

Fri Dec  1 13:02:52 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Shorthands}): Reset the category code of a
	shorthand char at the end of the package and re-activate it at
	begin document.

Sat Nov 25 00:17:08 1995  Johannes Braams  <JLBraams@cistron.nl>

	* tb1202.tex, tb1401.tex: Made it possible to run it through LaTeX
	without having ltugboat.cls available; also updated address
	information.

	* portuges.dtx : Added translation of the word `Proof' for both
	Portuguese and Brazilian

Sun Nov 19 00:13:10 1995  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx: Add execution of the begin document hook to
	\@preamblecmds for LaTeX2.09

Fri Nov 17 00:39:01 1995  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx: Added \@onlypreamble and handling of this

Thu Nov 16 00:19:49 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Changed the
	definition of \selectlanguage and \selectlanguage_; the former no
	longer processes its argument, that task is now performed by
	\selectlanguage_

Wed Nov 15 00:24:48 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): Added the
	commands \bbl@redefine and \bbl@redefinerobust and used them to
	redefine \newlabel, \@testdef, \ref, \pageref, \label, \@citex,
	\nocite, \bibcite, \@bibitem, \@lbibitem

Sat Nov 11 00:30:12 1995  Johannes Braams  <JLBraams@cistron.nl>

	* francais.dtx : Added setting of the lowercase code of the ' to
	improve hyphenation 

Sat Nov 11 00:25:09 1995  Johannes Braams  <JLBraams@cistron.nl>

	* galician.dtx : Added '' as shorthand to produce the expected
	effect. 

Fri Nov 10 23:42:47 1995  Johannes Braams  <JLBraams@cistron.nl>

	* catalan.dtx : Added setting of the lowercase code of the ' to
	improve hyphenation
	(As suggested by Claudio Beccari <BECCARI@polito.it>)

	* italian.dtx : Added setting of the lowercase code of the ' to
	improve hyphenation 
	(As suggested by Claudio Beccari <BECCARI@polito.it>)

	* romanian.dtx :  Added translation of the word `Proof'

Wed Nov  8 00:50:45 1995  Johannes Braams  <JLBraams@cistron.nl>

	* bbplain.dtx: Added the code that `snatched' \dump as it is still
	needed for LaTeX 2.09

	* babel.dtx (subsection{Multiple languages}): Removed the code
	that `snatched' \dump as it is no longer needed for LaTeX.

Mon Nov  6 00:44:49 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): No longer use
	\bblref_ as a cs; instead use \ref_ and check if it isn't defined
	already.  (PR 1851)

Fri Nov  3 00:41:08 1995  Johannes Braams  <JLBraams@cistron.nl>

	* slovene.dtx : New translation of Index; replaced slovanian with
	slovenian. 

	* swedish.dtx : Added translation of Proof (PR 1904)

Tue Sep  5 21:46:34 1995  Johannes Braams  <JLBraams@cistron.nl>

	* germanb.dtx : Use \glqq, \grqq, \flqq and \frqq in the
	definitions of "` "' "< and ">

	* babel.dtx (subsection{Shorthands for quotation marks}): Use
	\textormath in the definitions; added some kerning for german
	right quotation marks.

	* catalan.dtx: Added '| to disable the accent when an apostrophe
	is wanted.

Thu Aug 31 00:19:12 1995  Johannes Braams  <JLBraams@cistron.nl>

	* germanb.dtx : Added \allowhyphens to the accent producing
	shorthands. Not having it prevented hyphenation for accented words
	in OT1 encoding. Having it means that TeX possibly misses a
	possible breakpoint. Putting \allowhyphens into the definition of
	\lower@umlaut (which would make it not appear at all in T1
	encoding) is a no-no because it leads to improper discretionary
	errors for dutch (were trema's have to disappear when the word is
	hyphenated next to the trema). (PRs 1118, 1147, 1714, 1846)

Wed Aug 30 00:11:50 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Added a missing
	%-character in the definition of \selectlanguage (PR1841)

	* francais.dtx : Added a missing %-character in the definition of
	\captionsfrancais (PR1841)

Thu Aug 17 01:18:42 1995  Johannes Braams  <JLBraams@cistron.nl>

	* spanish.dtx, catalan.dtx, galician.dtx: Combining
	\initiate@active@char and \bbl@activate in one \@ifpackagewith
	statement leads to an error message about an \inaccessible control
	sequence from \select@language. For now split these statements.

Mon Aug  7 00:27:13 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Shorthands for quotation marks}):
	Corrected the spelling of \quil... to \guil...

Sat Jul 29 00:37:59 1995  Johannes Braams  <JLBraams@cistron.nl>

	* francais.dtx : Removed the \space from the definition of the
	shorthands. It is not necessary.

Thu Jul 27 00:19:35 1995  Johannes Braams  <JLBraams@cistron.nl>

	* esperant.dtx: Added a few ^-shorthands

	* estonian.dtx : Removed the code to change category and oher
	codes. 

	* italian.dtx : Added translation of the word `Proof'

	* estonian.dtx : Added translation of the word `Proof'; fixed bug
	where the second argument of \DeclareShorthand was missing.

Tue Jul 25 23:26:59 1995  Johannes Braams  <JLBraams@cistron.nl>

	* slovene.dtx,finnish.dtx : Added translation of the word `Proof'

	* irish.dtx : load irish.cfg instead of danish.cfg

	* babel.dtx (subsection{Multiple languages}): Use \empty instead
	of \@empty in the test for the hyphenation exception file; \@empty
	is undefined in plain.

	* bbplain.dtx: Added definition of \loadlocalcfg for plain (found
	by Enn Saar)

Mon Jul 10 00:36:11 1995  Johannes Braams  <JLBraams@cistron.nl>

	* catalan.dtx : Added translation of the word `Proof'

Sun Jul  9 00:34:50 1995  Johannes Braams  <JLBraams@cistron.nl>

	* spanish.dtx, galician.dtx: made the use of the active acute
	accent optional.

Sat Jul  8 00:03:41 1995  Johannes Braams  <JLBraams@cistron.nl>

	* catalan.dtx: Removed support for ~n; add `` and '' as
        shorthands.

Fri Jul  7 00:14:19 1995  Johannes Braams  <JLBraams@cistron.nl>

	* francais.dtx, breton.dtx: Postpone the declaration of the
        TextCompositeCommands untill \AtBeginDocument

Tue Jul  4 00:19:32 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{The Package File}): Added the options
	activegrave and activeacute.

	* catalan.dtx: Made the activation of the grave and acute accents
	optional 

        * esperant.dtx, dutch.dtx, english.dtx, germanb.dtx, breton.dtx,
	irish.dtx, scottish.dtx, italian.dtx, portuges.dtx, swedish.dtx,
	magyar.dtx, croatian.dtx, czech.dtx, estonian.dtx, polish.dtx,
	romanian.dtx, slovak.dtx, slovene.dtx, turkish.dtx, lsorbian.dtx,
	usorbian.dtx, bahas.dtx: Added \proofname to captions and added
	loading local configuration file.

	* babel.dtx (subsection{Cross referencing macros}): Use a
	different control sequence for making \ref and \pageref robust to
	prevent a clash with the showkeys package.

Mon Jul  3 00:53:24 1995  Johannes Braams  <JLBraams@cistron.nl>

	* galician.dtx: Changed behaviour of 'a etc. to expand to
	"^{\prime} a" in mathmode.

	* spanish.dtx: Changed behaviour of 'a etc. to expand to
	"^{\prime} a" in mathmode; added \proofname to captions; added
	loading local configuration file.

	* catalan.dtx: Added Goncal's changes; changed behaviour of 'a
	etc. to expand to "^{\prime} a" in mathmode; added \proofname to
	captions; added \llgem and \Lgem; added loading local
	configuration file.

Sun Jul  2 22:40:55 1995  Johannes Braams  <JLBraams@cistron.nl>

	* galician.dtx: Added comments from Manual Carriba, added
	\proofname to captions; added seting of \frenchspacing and added
	loading local configuration file.

	* francais.dtx: Also allow the hyphenation patterns to be loaded
	for `french', added \proofname to captions; and added loading
	local configuration file.

	* finnish.dtx: Now also has active double quote; added by Niilo
        Siljamo <siljamo@cc.helsinki.fi>, added \proofname to captions;
	and added loading local configuration file.

	* danish.dtx : Added \proofname to captions; added seting of
	\frenchspacing and added loading local configuration file.

	* babel.dtx (section{The Package File}): Load language definition
	files *after* manipulating with the identifaction of the
	hyphenation patterns; load french.ldf (from Bernard Gaulle's
	french package) if it exists.

Mon Jun 19 21:53:13 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Added missing brace
	in definition of \@activated for plain TeX, found by
	te@informatik.uni-hannover.de

Fri Jun 16 22:42:05 1995  Johannes Braams  <JLBraams@cistron.nl>

	* estonian.dtx: corrected typos

Wed Jun 14 21:19:55 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx : Changed the order of typesetting the documentation
	for the various languages (PR1652)

	* scottish, irish.dtx, esperant.dtx, spanish.dtx, babel.dtx,
	glyphs.dtx: corrected typos (PR1652) 

	* language.dat: finally corrected typo langauge (PR1656)

	* babel.dst: corrected typos (ldfle -> style, PR1654)

	* install.txt: corrected typo (PR1653)

Thu Jun  8 00:18:21 1995  Johannes Braams  <JLBraams@cistron.nl>

	* danish.dtx: Added active double quote character as suggested by
	Peter Busk Laursen.

Tue Jun  6 23:52:28 1995  Johannes Braams  <JLBraams@cistron.nl>

	* estonian.dtx: New language definition file, provided by Enn
	Saar, updated for Babel release 3.5

	* scottish.dtx: New language definition file

Sun Jun  4 15:31:21 1995  Johannes Braams  <JLBraams@cistron.nl>

	* polish.dtx: Update for babel release 3.5

	* slovene.dtx : Introduced the active " for this language; used
	for accessing hacek characters and other common usage.

	* portuges.dtx: Added brasilian captions, the usage of
	"-shorthands and macros for ordinals.  

	* dutch.dtx : added "" shorthand

Sat Jun  3 23:47:05 1995  Johannes Braams  <JLBraams@cistron.nl>

	* francais.dtx : Added system level shorthands for the active
	characters to prevent them from gobbling up a following space

Fri Jun  2 00:52:10 1995  Johannes Braams  <JLBraams@cistron.nl>

	* swedish.dtx: Use \finnishhyphenmins to store the correct values
	of \lefthyphenmin and \righthyphenmin as suggested in PR1606.

Mon May 29 00:13:25 1995  Johannes Braams  <JLBraams@cistron.nl>

	* swedish.dtx: Updated for release 3.5

Sun May 28 23:06:08 1995  Johannes Braams  <JLBraams@cistron.nl>

	* swedish.dtx: Updated for release 3.5

	* usorbian.dtx: Updated for release 3.5

	* italian.dtx: Updated for release 3.5

Thu May 25 22:21:06 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{The Package File}): Added the option
	brazilian as an alternative for brazil; added the copying of
	\<lang>hyphenmins when alternatives are provided.

	* romanian.dtx: Updated for release 3.5

Mon May 15 22:47:29 1995  Johannes Braams  <JLBraams@cistron.nl>

	* turkish.dtx: Updated for release 3.5

	* finnish.dtx: Added setting of \frenchspacing for finnish text

Sat May 13 22:35:49 1995  Johannes Braams  <JLBraams@cistron.nl>

	* finnish.dtx: Use \finnishhyphenmins to store the correct values
	of \lefthyphenmin and \righthyphenmin as suggested in PR1606;
	also set a number of hyphenation parameters, as suggested in
	PR1027.

	* germanb.dtx: Use \germanhyphenmins to store the correct values
	of \lefthyphenmin and \righthyphenmin.

	* dutch.dtx: Use \dutchhyphenmins to store the correct values of
	\lefthyphenmin and \righthyphenmin.

	* babel.dtx (subsection{Multiple languages}): Changed
	\selectlanguage to first store the name of the current language in
	a control sequence and then passing the contents of the control
	sequence to \selectlanguage_ instead of passing the entire
	construct which strips the optional escape character.
	Seperated the setting of \lefthyphenmin and \righthyphenmin, using
	the new macro \set@hyphenmins. The values shoud be stored in
	\<language>hyphenmins. 
	No longer store the values of \lefthyphenmin and \righthyphenmin
	which were set in the pattern file through code in
	\extras<language>, but store them in \<language>hyphenmins.

Fri May  5 00:09:44 1995  Johannes Braams  <JLBraams@cistron.nl>

	* finnish.dtx: Updated for release 3.5
	* bahasa.dtx: Updated for release 3.5

Wed May  3 15:57:16 1995  Johannes Braams  <JLBraams@cistron.nl>

	* tb1401.tex: Changed name from babel-new.tex and updated the
	coding to make it processable with LaTeX2e

	* tb1202.tex: Changed name from tb-article.tex and updated the
	coding to make it processable with LaTeX2e

Fri Apr 28 02:38:11 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Added the
	possibility to add a the name of a file with hyphenation
	exceptions to the configuration file language.dat. Now also
	support `synonyms' for languages. Both on request from Bernard
	Gaulle. 

Tue Mar 14 16:25:24 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{The Package File}): Changed the extension of
	the languages definition files to .ldf to clearly distinguish them
	for the files in the previous release.

	* magyar.dtx: Updated for release 3.5
	* galician.dtx: Updated for release 3.5, using the new active
	character handling mechanism.
	* catalan.dtx: Updated for release 3.5, using the new active
	character handling mechanism.
	* spanish.dtx: Updated for release 3.5, using the new active
	character handling mechanism.
	* portuges.dtx: Updated for release 3.5
	* lsorbian.dtx: new file in release 3.5
	* languages.skeleton: Updated for release 3.5

Fri Mar 10 00:17:10 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Support for active characters}): Added a
	check for the ' in \initiate@active@char
	Replaced 16 system level shorthands to deal with hexadecimal
	numbers by one.
	Added a system shorthand for the '; when it is active its usage in
	mathmode needs special care.

Tue Mar  7 00:26:22 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): Made \ref and
	\pageref robust to prevent the problem reported in PR 1353.

Sat Mar  4 23:54:15 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Changed the name of
	\p@selectlanguage to \csname selectlanguage \endcsname;
	Rewrote the entire handling of active chars.

Fri Feb 17 00:25:11 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Multiple languages}): Added \main@language
	to be able to postpone the execution of \selectlanguage. It now
	also happens only once, not for every language loaded.

Thu Feb 16 01:15:13 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsubsection{Support for active `hat'}): this
	section added.

Wed Feb 15 10:54:33 1995  Johannes Braams  <JLBraams@cistron.nl>

	* germanb.dtx: Removed a lot of code that is now present in
	babel.def (things like \flqq, the double quote mechanism, etc.);
	Use \Declaredq now.
	Brought up to date with german.sty version 2.5b

	* babel.dtx (subsection{Multiple languages}): Added the command
	\@activated to be used for logging when characters are made
	active. Introduced the \if@safe@actives switch which should be
	checked on the highest level expansion of an active
	character. This first expansion is defined by \UseActive.
	(subsection{Cross referencing macros}): Removed the meaning trick
	and introduced the use of the \if@safe@actives switch. Not all
	cross referencing macros need to be aware of this switch.

	* dutch.dtx: Moved the definition of the opening quote character
	and \ij and \IJ to glyphs.dtx

	* glyphs.dtx (section{Making glyphs available}): New file to
	collect all definitions of missing glyphs for all languages. The
	code will be part of babel.def

Sun Feb 12 00:35:11 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Support for active characters}): Added
	\Activate and \Deactivate instead of \Activatedq and \Deactivatedq
	as this form is more generic.

Sat Feb 11 14:58:09 1995  Johannes Braams  <JLBraams@cistron.nl>

	* english.dtx: Moved identification code to the top.

Thu Feb  9 00:52:23 1995  Johannes Braams  <JLBraams@cistron.nl>

	* esperant.dtx: Moved identification code to the top.

Sat Feb  4 00:51:21 1995  Johannes Braams  <JLBraams@cistron.nl>

	* dutch.dtx: Updated this language definition file to make use of
	the new support macros. Also implemented support for both OT1 and
	T1 encoding. Changed the kerning in the faked ij-characters to
	match the dc-versions more closely.

	* babel.dtx (subsection{Support for active double quote}): Added
	this section with generic macros to support making the double
	quote character active. A language definition file now only needs
	call \Activatedq and use \Declaredq{}{}{} to define its actions.

Wed Feb  1 01:03:39 1995  Johannes Braams  <JLBraams@cistron.nl>

	* english.dtx (section{The English language}): Only define
	american as a dialect when no patterns have been loaded for it.
	(PR #735)

Tue Jan 31 00:04:38 1995  Johannes Braams  <JLBraams@cistron.nl>

	* polish.dtx (section{The Polish language}): The definition of "C
	incorrectly used \'c instead of \'C. (PR #1401)

	* turkish.dtx (section{The Turkish language}): removed an extra
	closing brace and added a missing \def (PR #1397)
	\mont should be \month (PR #1398)

Wed Jan 25 00:48:32 1995  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{Identification}): lthyphen.cfg has changed
	its name; now called hyphen.cfg.
	(section{The Package File}): Added a warning about using T1
	fontencoding giving unexpected results.

Wed Nov  9 00:21:03 1994  Johannes Braams  <JLBraams@cistron.nl>

	* galician.dtx (section{The Catalan language}): Added a few
	missing translations and corrected marzal to marzo in the date.

	* catalan.dtx (section{The Catalan language}): Added a few
	missing translations.

	* portuges.dtx (section{The Portuguese language}): Added a few
	missing translations.

Tue Aug 30 22:33:59 1994  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (subsection{Cross referencing macros}): Moved the last
	%</def> inside the macrocode environment. Noted by Frank Poppe
	<poppe@swov.nl> 

Fri Aug 26 15:49:11 1994  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dst: fixed typo (lhyphen -> lthyphen)

Tue Jul 12 23:33:36 1994  Johannes Braams  <JLBraams@cistron.nl>

	* finnish.dtx: Added a `.' after the day in the output of \today
	for finnish 

Sun Jul  3 22:55:42 1994  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{Identification}): The line with \ProvidesFile
	was missing from both babel.drv and user.drv.
	Added code to \process@language to detect whether the patterns
	file also contains assignments to \left- and \righthyphenmin. When
	it doesn't supply a default setting of 2 and 3; store the setting
	in \extras<language>. Added \@nopatterns, to be used in the
	language specific files. 
	Also use \PackageError and \PackageWarning when they are
	available. 

	* language.dat : Commented out dutch, used the default name for
	the american english hyphenation patterns, hyphen.tex. Added a
	(commented out) line showing ukhyphen.tex.

Thu Jun 30 14:07:03 1994  Johannes Braams  <JLBraams@cistron.nl>

	* language.skeleton:  Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* slovak.dtx: Removed the references to babel.com

	* finnish.dtx: Removed the references to babel.com

Sun Jun 26 00:27:49 1994  Johannes Braams  <JLBraams@cistron.nl>

	* bahasa.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* turkish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* slovene.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* romanian.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* polish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* czech.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* magyar.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* finnish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* swedish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* norsk.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* danish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* galician.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning
	Renamed \acute and \tilde to \texacute and \texttilde because of a
	clash with \mathaccent's

	* catalan.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning
	Renamed \acute and \tilde to \texacute and \texttilde because of a
	clash with \mathaccent's

	* spanish.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* portuges.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* italian.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* francais.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* germanb.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* english.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* dutch.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

Sat Jun 25 23:38:50 1994  Johannes Braams  <JLBraams@cistron.nl>

	* esperant.dtx: Removed the use of \filedate, moved the
	identification after the loading of babel.def and use \@nopatterns
	to produce the warning

	* babel.dtx (subsection{Multiple languages}): Added \@nopatterns,
	to be used in the language specific files. Also use \PackageError
	and \PackageWarning when they are available.

Fri Jun 24 23:08:44 1994  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx (section{Identification}): redid this bit and made
	sure the files are processable with plain TeX. Supply a dummy
	definition of \ProvidesFile.
	(subsection{Multiple languages}): Added code to
	\process@language to detect whether the patterns file also
	contains assignments to left- and righthyphenmin. When it doesn't
	supply a default setting of 2 and 3; store the setting in
	\extras<language>.
	

Thu Jun  9 00:15:14 1994  Johannes Braams  <JLBraams@cistron.nl>

	* esperant.dtx: Removed a superfluous | from the code that
	activates the ^

Wed Jun  8 13:13:43 1994  Johannes Braams  <JLBraams@cistron.nl>

	* Makefile: added install.txt

Sun Jun  5 02:29:40 1994  Johannes Braams  <JLBraams@cistron.nl>

	* babel.dtx: Repaired mal-formed changes entries (`babel~' was
	missing.

	* italian.dtx: Repaired mal-formed changes entry (`italian-' was
	missing.

	* danish.dtx: Repaired mal-formed changes entry (`danish-' was
	missing.

	* swedish.dtx: Repaired mal-formed changes entry (`swedish-' was
	missing).

	* babel.dst: Added a few missing }

	* install.txt: Added a remark about producing the full source
	listing. 

	* babel.dst: Added the production if bbidx.ist and bbglo.ist

	* Makefile: Added bbidxglo

	* slovene.dtx (section{The Slovanian language}): Removed < and >
	from a \changes entry to prevent a problem when generating the
	glossary file.

	* babel.dtx (subsection{Identification}): Wrong docstrip guard
	nesting resulted in a superfluous line in lthyphen.cfg
	Updated Checksum

Sat Jun  4 00:00:44 1994  Johannes Braams  <JLBraams@cistron.nl>

	* language.skeleton: Updated for LaTeX2e; included the small
	driver. 

	* czech.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* croatian.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* slovene.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	(section{The Slovanian language}): Added extra tranlations from
	Josef Leydold, <leydold@statrix2.wu-wien.ac.at

	* romanian.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* turkish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	(section{The Turkish language}): Added braces behind the use of \i
	to prevent a lot of undefined macros.

	* norsk.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* swedish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* babel.ins: lhyphen.cfg has now to be called lthyphen.cfg.

	* babel.dtx (subsection{Macros common to a number of languages}):
	An end of line ended up in the middle of a || expression.

	* slovak.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	Added setting of \lefthyphenmin and \righthyphenmin.

	* finnish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* magyar.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* polish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	Changed the table describing the conventions to really describe
	what is iomplemented.
	Tried to initialize polish letters by calling \texptl; this should
	have been \textpl.

	* danish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.
	(section{The Danish language}): Peter Busk Larsen proposed a few
	changes to the translations.

Thu May 19 00:14:49 1994  Johannes Braams  <JLBraams@cistron.nl>

	* galician.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* catalan.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* spanish.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* portuges.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* italian.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode. Added some of the
	suggestions from Claudio Beccari. The others wil have to wait.

	* francais.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* germanb.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

Wed May 18 23:31:15 1994  Johannes Braams  <JLBraams@cistron.nl>

	* dutch.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* esperant.dtx: Added a small driver to the top of the file.
	Removed the use of \wlog from native mode.

	* bahasa.dtx: Added a small driver to the top of the file.
	Added missing \begin{macrocode}.
	Removed the use of \wlog from native mode.

	* babel.dtx (driver): use the ltxdoc class
	Added a small driver to the top of the file as an addition to the
	large drivers.
	Removed the use of \wlog from native mode.

